module "nzbget" {
  source = "./service"

  name  = "nzbget"
  image = "linuxserver/nzbget:v21.1-ls138"

  ingress      = true
  service_port = 6789
  use_wesher   = var.use_wesher

  env = {
    PGID = 100
    PUID = 1001
    TZ   = "America/Los_Angeles"
  }

  host_volumes = [
    {
      name      = "nzbget-config"
      dest      = "/config"
      read_only = false
    },
    {
      name      = "media-downloads"
      dest      = "/downloads"
      read_only = false
    },
  ]

  resources = {
    cpu        = 200
    memory     = 300
    memory_max = 500
  }
}
